Hiding users from seing each other
Target version:    
Description

There does not seem to be a way to hide users belonging to the same project from seeing each others. I am looking for a way to limit

that users can see only their own issues, and only themselves. Now if they create a filter, and choose eg. Author, they get the list of

all users in their project. The same goes for the standard summary-report found at projects/incoming/issues/report

I can acquire this by removing permissions for issues via the role-editor. But then the user can't see his/her own issues :-(

In the role-editor it would be great to have a third option in the "Users visibility" combobox: 

All active users

   Member of visible projects

-> None

 BR

René

History

#1 - 2017-11-20 10:51 - Wim DePreter

related to #17747 ?

#2 - 2017-11-27 03:05 - Go MAEDA

- Category changed from Issues permissions to Permissions and roles

#3 - 2017-11-27 03:06 - Go MAEDA

- Tracker changed from Defect to Feature

#4 - 2017-12-15 10:25 - Rene H

I learned from the #redmine irc-channel that redmine.org is configured partially in a way that I'm trying to achieve. When logged in, i see on the 

http://www.redmine.org/projects/redmine page only the "Administrator" and "Contributor". The other millions os users i can't see. How is this

configured?

#5 - 2017-12-16 17:16 - Wim DePreter

Rene H wrote:

I learned from the #redmine irc-channel that redmine.org is configured partially in a way that i'm trying to achieve. When logged in, i see on the 

http://www.redmine.org/projects/redmine page only the "Administrator" and "Contributor". The other millions os users i can't see.. How is this

configured?

 Redmine is a public project, all non-members (like me and you) have the same (non-member) role.

Only members are listed in the user-boxes (and also in other places, like issue summary: https://www.redmine.org/projects/redmine/issues/report).

This means f.e. you can't search for a specific non-member author (other then yourself).

#6 - 2017-12-17 05:17 - Toshi MARUYAMA

- Description updated
